---
title: HTMLHyperlinkElementUtils.port
slug: Web/API/HTMLHyperlinkElementUtils/port
tags:
  - API
  - Experimental
  - HTMLHyperlinkElementUtils
  - Property
  - Reference
  - URL API
---
<p>{{ApiRef("URL API")}}</p>

<p>The HTMLHyperlinkElementUtils<strong><code>.port</code></strong> property is a {{domxref("USVString")}} containing the port number of the URL. If the URL does not contain an explicit port number, it will be set to <code>''</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.port;
<em>object</em>.port = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Let's an &lt;a id="myAnchor" href="https://developer.mozilla.org:443/en-US/docs/HTMLHyperlinkElementUtils.port"&gt; element be in the document
var anchor = document.getElementByID("myAnchor");
var result = anchor.port; // Returns:'443'
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-hyperlink-port', 'HTMLHyperlinkElementUtils.port')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLHyperlinkElementUtils.port")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLHyperlinkElementUtils")}} mixin it belongs to.</li>
</ul>
